KTextEditor::SearchDCOPInterface Class Reference

`#include <searchdcopinterface.h>`

Inherits DCOPObject.

## Public Member Functions

| SearchDCOPInterface (SearchInterface *Parent, const char *name)
virtual | ~SearchDCOPInterface ()

## Detailed Description

This is the main interface to the SearchInterface of KTextEdit.

This will provide a consistant dcop interface to all KDE applications that use it. DCOP interface to SearchInterface.

Author
  Ian Reinhart Geiser geise.nosp@m.ri@k.nosp@m.de.or.nosp@m.g

Definition at line 18 of file searchdcopinterface.h.

## Constructor & Destructor Documentation

SearchDCOPInterface::SearchDCOPInterface | ( | SearchInterface * | Parent,
|  | const char * | name
| ) |  |

Construct a new interface object for the text editor.

Parameters

  Parent | the parent SearchInterface object that will provide us with the functions for the interface.
  name | the QObject's name

Definition at line 9 of file searchdcopinterface.cpp.

SearchDCOPInterface::~SearchDCOPInterface | ( |  | ) |

virtual

Destructor Cleans up the object.

Definition at line 18 of file searchdcopinterface.cpp.

The documentation for this class was generated from the following files:

- searchdcopinterface.h
- searchdcopinterface.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys